@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');

/* Анимации */
@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(50px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeInRight {
    from {
        opacity: 0;
        transform: translateX(50px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

@keyframes fadeInLeft {
    from {
        opacity: 0;
        transform: translateX(-50px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

.animated-el {
    opacity: 0;
}

.animated-el.visible {
    animation: fadeInUp 1s ease forwards;
}

/* Основное */
html {
    font-size: 16px;
}

body {
    margin: 0;
    padding: 0;
    background-color: beige;
}

header {
    display: flex;
    flex-direction: column;
    background-image: url("../img/banner.jpg");
    background-attachment: fixed;
    width: 100%;
    height: 600px;
    background-repeat: no-repeat;
    text-align: center;
    align-items: center;
    justify-content: center;
    margin-bottom: 30px
    
}

footer {
    display: flex;
    padding: 50px;
    margin-top: 100px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: firebrick;
}

h1 {
    font-size: 3.5rem;
    color: white;
    font-family: 'Oswald';
    margin-bottom: 50px;
    animation: fadeInUp 2s ease-out forwards;
}

h2 {
    font-size: 3rem;
    margin: 15px;
}

h3 {
    font-size: 2.5rem;
    margin: 15px;
    text-align: center;
}

h4 {
    font-size: 2rem;
    margin: 15px;
}

p {
    font-size: 1.4rem;
    margin: 15px;
    max-width: 80%;
}

svg {
    margin: -1px;
}

hr {
    border: 5px solid silver;

}

div img {
    width: 100%;
    height: auto;
}

.little-text {
    font-size: 16px;
    text-align: center;
    color: white;
}

/* Шапка */
span#today {
    color: gold;
}

button {
    text-align: center;
}

.btn-warning {
    height: 75px;
    width: 175px;
    color: white;
    font-size: 19px;
    animation: fadeInUp 1s ease-out forwards;
}

/* Вступительная информация */
div.about {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 2px;
}

/* Основной блок */
div.advantanges {
    background-color: #e01b1b;
    color: white;
    padding: 15px;
}

div.description-about-Britain {
    display: flex;
    flex-direction: row;
    gap: 20px;
    align-items: center;
}

h2#h2-advantanges {
    margin-top: 0;
    text-align: center;
    color: white;
}

img#photo {
    border: 6px solid white;
} 

/* Блок преимуществ */
div.block-row {
    display: flex;
    flex-direction: row;
    object-fit: contain;
    gap: 5px;
    margin: 15px;
    justify-content: center;
    align-items: center;
    
}

div.block-row p {
    margin: 0;
}

div.brick {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 2px solid gainsboro;
    padding: 15px;
    text-align: center;
}

/* Слайдер */ 
div.slider {
    display: flex;
    overflow: hidden;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

div.slides {
    text-align: center;
}

img.comment {
    height: 300px;
    width: auto;
    object-fit: cover;
    display: none;
}

img.comment.active.right {
    display: block;
    animation: fadeInRight 0.5s ease-in forwards;
}

img.comment.active.left {
    display: block;
    animation: fadeInLeft 0.5s ease-in forwards;
}

.forward, .back {
    border-radius: 50%;
    background-color: rgb(204, 204, 204);
    border: 1px solid rgb(161, 161, 161);
    height: 75px;
    width: 75px;
    font-size: 25px;
    margin: 25px;
    opacity: 0.4;
}

.indicator {
    display: inline-block;
    background-color: gray;
    height: 10px;
    width: 10px;
    cursor: pointer;
    border-radius: 50%;
}

.indicator.active {
    background-color: rgb(40, 40, 40);
}

/* Последний раздел */
img.icon {
   height: 128px;
   width: auto;
   object-fit: cover;
}

div.block-column {
    display: flex;
    flex-direction: column;
    object-fit: contain;
    gap: 5px;
    margin: 15px;
    justify-content: center;
    align-items: center; 
}

div.block-column img {
    object-fit: cover;
    height: 128px;
    width: auto;
    margin-top: 50px;
}

.write {
    height: 75px;
    width: 35%;
    margin-top: 75px;
    border-radius: 50px;
    background-color: #e01b1b;
    font-size: 1.5rem;
    color: white;
    border: none;
    transition: background-color 0.2s linear;
}

.write:hover {
    background-color: darkred;
}

@media (max-width: 750px) { /* Мобильная версия */
    /* Основное */

    header {
        background-image: url("../img/banner-mobile.jpg");
        height: 300px;
        background-attachment: scroll;
    }

    h1 {
        font-size: 2.15rem;
    }
    h2 {
        font-size: 1.75rem;
    }

    h3 {
        font-size: 1.50rem;
    }

    p {
        font-size: 1.25rem;
    }

    img.image1 {
        display: none;
    }

    img#photo {
        transform: scale(0.8);
    }

    .btn-warning {
        height: 50px;
        width: auto;
        font-size: 16px;
    }

    /* Разделы */
    div.description-about-Britain {
        flex-direction: column;
    }

    .write {
        width: 40%;
        font-size: 1.25rem;
    }
    
    /* Блоки */
    div.block-row {
        flex-direction: column;
    }

    img.comment.active {
        height: 130px;
        text-align: center;
    }

    /* Слайдер */
    .forward, .back {
        height: 25px;
        width: 25px;
        margin: 1px;
        font-size: 13px;
    }

    div.slides {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        max-width: 75%;
    }

    div.comments {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
}
